Bug 518958 - SELinux is preventing afsd (afs_t) "read" usr_t.
Summary: SELinux is preventing afsd (afs_t) "read" usr_t.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-24 11:07 UTC by Sam Tygier
Modified: 2010-04-28 15:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-28 15:41:56 UTC


Attachments (Terms of Use)
selinux_alert.txt (21.56 KB, text/plain)
2009-08-24 13:34 UTC, Sam Tygier
no flags Details

Description Sam Tygier 2009-08-24 11:07:44 UTC
Description of problem:
F11. SELinux is complaining about openafs. upon connection to the afsserver i get

Summary:

SELinux is preventing afsd (afs_t) "read" usr_t.

Detailed Description:

SELinux denied access requested by afsd. It is not expected that this access is
required by afsd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:afs_t:s0
Target Context                system_u:object_r:usr_t:s0
Target Objects                /usr/vice/etc/ThisCell [ file ]
Source                        afsd
Source Path                   /usr/vice/etc/afsd
Port                          <Unknown>
Host                          thinkpad
Source RPM Packages           openafs-client-1.4.11-fc11.1.1
Target RPM Packages           openafs-client-1.4.11-fc11.1.1
Policy RPM                    selinux-policy-3.6.12-78.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     thinkpad
Platform                      Linux thinkpad 2.6.29.6-217.2.8.fc11.i586 #1 SMP
                              Sat Aug 15 00:44:39 EDT 2009 i686 i686
Alert Count                   4
First Seen                    Sun 23 Aug 2009 08:25:57 BST
Last Seen                     Mon 24 Aug 2009 11:50:57 BST
Local ID                      6226b621-6980-43b1-a3d1-ba6eb54ba0bc
Line Numbers                  

Raw Audit Messages            

node=thinkpad type=AVC msg=audit(1251111057.603:5): avc:  denied  { read } for  pid=1681 comm="afsd" name="ThisCell" dev=sda2 ino=127102 scontext=system_u:system_r:afs_t:s0 tcontext=system_u:object_r:usr_t:s0 tclass=file

node=thinkpad type=AVC msg=audit(1251111057.603:5): avc:  denied  { open } for  pid=1681 comm="afsd" name="ThisCell" dev=sda2 ino=127102 scontext=system_u:system_r:afs_t:s0 tcontext=system_u:object_r:usr_t:s0 tclass=file

node=thinkpad type=SYSCALL msg=audit(1251111057.603:5): arch=40000003 syscall=5 success=yes exit=3 a0=bfaf50f8 a1=0 a2=1b6 a3=8c2dd40 items=0 ppid=1675 pid=1681 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="afsd" exe="/usr/vice/etc/afsd" subj=system_u:system_r:afs_t:s0 key=(null)


I also get similar messages from about afsd doing "setattr" and "write". i can include these to if needed.

my openafs is from http://dl.openafs.org/dl/openafs/1.4.11/fedora-$releasever/$basearch/

Comment 1 Miroslav Grepl 2009-08-24 13:06:00 UTC
Please include also messages related to "setattr" and "write".
Thanks

Comment 2 Sam Tygier 2009-08-24 13:34:01 UTC
i have switched to permissive, let me know if you need me to switch back. i will attach the logs for the failures.

Comment 3 Sam Tygier 2009-08-24 13:34:40 UTC
Created attachment 358459 [details]
selinux_alert.txt

Comment 4 Daniel Walsh 2009-08-24 14:26:33 UTC
Is /usr/vice a standard directory?

Seems we should have a label of 

/usr/vice/cache(/.*)?		gen_context(system_u:object_r:afs_cache_t,s0)

Seems like /afs has the wrong label on it.  On your system it is labeled root_t it should be labeled mnt_t.  If you could get it relabeled before the afs partition got mounted (restorecon /afs) this would eliminate the mounton avc.

Miroslav you should add

files_read_usr_files(afs_t)

Not sure what is causing the unlabeled_t?  Nalin do you have any ideas?

Comment 5 Miroslav Grepl 2009-09-07 12:04:27 UTC
It was added to selinux-policy-3.6.12-82.fc11.noarch


Sam, 
you can install this release using

yum -y upgrade selinux-policy-targeted --enablerepo=updates-testing

Comment 6 Bug Zapper 2010-04-28 09:56:08 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.